Package ru.bitel.bgbilling.plugins.cashcheck.common

# Class Check.STAG

java.lang.Object
java.util.AbstractMap<Integer,Object>
java.util.HashMap<Integer,Object>
ru.bitel.bgbilling.plugins.cashcheck.common.Check.STAG

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<Integer,Object>`

Enclosing class:
  `Check`

public static class Check.STAG extends HashMap<Integer,Object>
Шорткат для установки сложных вложенных тегов в чек/позицию. По сути мэп такой же, с ограничениями по типам. используется в динкоде типа new Check.STAG(){{ tag(22666, 666); }} ключи - целые значения тегов, значения - String или Long или byte[] Передаётся и кодируется в нашем протоколе если надо в текст (в сервер печати, например) в виде json-dict.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `STAG()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Check.STAG`
  `fromJson(String svtag)`
  `void`
  `tag(int tag, byte[] value)`
  `void`
  `tag(int tag, long value)`
  `void`
  `tag(int tag, String value)`
  `String`
  `toJson()`

  ### Methods inherited from class java.util.HashMap

  `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, newHashMap, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `equals, hashCode`

- ## Constructor Details

  - ### STAG

    public STAG()

- ## Method Details

  - ### toJson

    public String toJson()

  - ### fromJson

    public static Check.STAG fromJson(String svtag)

  - ### tag

    public void tag(int tag, String value)

  - ### tag

    public void tag(int tag, long value)

  - ### tag

    public void tag(int tag, byte[] value)